SSO 로그인 필요

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 403 Forbidden 응답을 반환합니다. 오류의 type 값은 https://lingo.dev/docs/api/errors/sso-sign-in-required입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

조직 <organizationId>의 ID 공급자를 통해 인증하지 않은 세션입니다. SSO로 로그인한 다음 필수 적용을 켜세요.

필드#

본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
organizationIdstring

예시#

json
{
  "detail": "A session without the organization's identity provider at organization <organizationId>. Sign in with SSO, then turn enforcement on.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/sso-sign-in-required",
  "status": 403,
  "title": "SSO sign-in required"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/organizations/{orgId}/sso